#include <avr/io.h>
#include <util/delay.h>
#include <avr/interrupt.h>
#include <math.h>

/*********** VARIABLEN *****************************/
unsigned char test[10];

unsigned char p_cRecReg[3];	//Empfangsregister
unsigned char p_cParity;		//Speichert parittsbyte
unsigned char p_CountParity;	//zhler wieviele Bytes bis jetzt im Parittsbyte (p_cParity) enhalten sind
unsigned char p_iRZaehler;		//zhler fr Empfangsfunktion
unsigned char p_iSZaehler;		//zhler fr Sendefunktion
unsigned char p_cStatus;		//Status frs Senden
struct
{
	unsigned bParityFull:1;
	unsigned bEnd:1;
	unsigned bRec:1;
	
}p_Flag;						//Flagregister fr verschiedene Zustnde


unsigned short sDataCounter;
unsigned char caData[300];


/********** CONSTANTEN ****************************/

//Konstanten fr Status
#define STA_SCPU	2
#define STA_SADCT	3
#define STA_SDATA	4

//Konstanten fr 1. emfangene Byte
#define ART_COM		0
#define ART_CPUF	1
#define ART_ADCT	2
#define ART_DATA	3

//Konstanten fr Commandos (Empfang 0 1 x)
#define COM_GETDATA		1
#define COM_LDATAOK		5
#define COM_LDATANIO	6
#define COM_FINISH		11

